﻿body {
    font-family: 'Avenir', Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #2c3e50;
    margin: 15px;
}

:root {
    --color-primary: rgb(2, 54, 112);
    --color-primary-rgb: 2, 54, 112;
    --color-primary-input: rgb(2, 54, 112);
    --color-primary-input-rgb: 2, 54, 112;
    --color-primary-input-hover: rgb(3, 91, 188);
    --color-primary-input-hover-rgb: 3, 91, 188;
    --active-alpha: 0.1;
}

.form-signin {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
    margin-top: 30px;
}

    .form-signin .form-signin-heading,
    .form-signin .checkbox {
        margin-bottom: 10px;
    }

    .form-signin .checkbox {
        font-weight: normal;
    }

    .form-signin .form-control {
        position: relative;
        height: auto;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        padding: 10px;
        font-size: 16px;
    }

        .form-signin .form-control:focus {
            z-index: 2;
        }

    .form-signin input[type="name"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"] {
        margin-bottom: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

/* Input elements color */
.login-input:focus, .form-control:focus, .form-control.focus {
    background-image: linear-gradient(var(--color-primary-input), var(--color-primary-input)), linear-gradient(var(--color-primary-input), var(--color-primary-input)) !important;
}

.form-group.is-focused label, .form-group.is-focused label.control-label {
    color: var(--color-primary-input) !important;
}

.msm-navbar {
    background-color: var(--color-primary) !important;
    opacity: 0;
}
.msm-navbar > .container-fluid {
    text-align: left;
    padding: 0;
}
.msm-navbar .navbar-right {
    margin: 0;
}
.msm-navbar li.active {
    background-color: rgba(255, 255, 255, var(--active-alpha)) !important;
}

.db-layout {
    background-color: var(--db-navbar-color) !important;
    box-shadow: var(--db-navbar-shadow) !important;
}

.db-layout li{
    color: var(--db-text-color) !important;
}

.db-layout li.active {
    color: var(--db-active-color) !important;
    background-color: rgba(255, 255, 255, 0) !important;
}
.db-layout li:hover {
    color: var(--db-active-color) !important;
}
.db-layout .msm-logo{ 
    height: var(--db-logo-height);
}
div.container {
    padding: 0;
}

#loginFormContainer {
    margin-top: 30px;
}

#loginFormContainer {
    display: none;
}
#loginFormContainer > div > div {
    display: none;
}
#tabSelectionNav {
    display: none;
}

.validation-summary-errors > ul {
    padding: 0;
    margin: 0;
}
.validation-summary-errors > ul > li {
    list-style-type: none;
}

#browserInfoContainer {
    margin-top: 80px;
}
#browserInfoContainer > div {
    display: none;
}

#checkAlreadySubmittedContainer {
    margin-top: 80px;
    width: 100vw;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
}

#lostPasswordLink {
    color: var(--color-primary-input);
    cursor: pointer;
}
#RedirectToLostPasswordForm {
    display: none;
}

#resetPasswordContainer > form {
    max-width: 450px;
}

#lostPasswordContainer > form {
    max-width: 450px;
}

#passwordPolicyContainer {
    margin-top: 20px;
    padding: 20px;
    max-width: 450px;
}
#passwordPolicyContainer table td:first-child {
    padding: 0;
}
#passwordPolicyContainer table i {
    margin-top: 5px;
}
.color-red {
    color: red;
}
.color-green {
    color: green;
}

.msm-logo-container {
    padding: 10px;
    display: inline-block;
    cursor: default;
}
.navbar .navbar-header .navbar-brand {
    padding: 0;
    padding-left: 15px;
}
.msm-logo {
    height: 40px;
}
.msm-button {
    background-color: var(--color-primary-input) !important;
}
.msm-button:disabled {
    color: gray !important;
}

@media (max-width: 1199px) {
    .msm-logo {
        height: 30px;
    }
    .msm-navbar .navbar-nav {
        margin: 0;
    }
}

#signupLink {
    color: var(--color-primary-input);
    cursor: pointer;
}

#signupCard {
    display: none;
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
    margin-top: 30px;
    background: white;
}

